System requirements

IMPORTANT: Exact specifications will be provided after the Moontrader release!

Operating system

Note about supported processor architectures: we only support x86-64 (AMD64) architecture, support for ARM64 processors will be considered in the future, support for 32-bit systems is not planned.


Versions of supported operating systems (tentative list, subject to change before release):

  1. Windows: Windows 10 x64, version 2004 and above, Windows Server 2019 and above. Support for Windows Server 2012, Windows server, 2016 version is possible with VS VCRedist 2010 and .NET Core 3.1+ libraries installed. Operation on other versions of Windows is possible, but not tested and not guaranteed.
  2. Linux: Ubuntu 18.04+/Debian 9+/AWS Linux 2.0+/CentOS 7.0+ and similar for x86-64 (AMD64) processors. Installation of MS .NET Core 3.1+ Runtime is recommended for normal operation.
  3. Mac OS X: 10.15+ x86-64. Installation of MS .NET Core 3.1+ Runtime is recommended for normal operation.

System characteristics for Client operation

WARNING: The MoonTrader client uses more of the GPU.

  • Minimum requirements for PC:
    • Processor: 2 cores (physical or virtual) from 1.5 GHz each.
    • RAM: from 2 GB.
    • Graphics Adapter: from 2 GB.

System characteristics for VPS (VDS)

  • Minimum server requirements:
    • Processor: 2 cores (physical or virtual) from 1.5 GHz each.
    • RAM: from 2 GB.
    • Stable work up to ~100 active orders.
  • Optimal server requirements:
    • Processor: 4 cores (physical or virtual) from 2 GHz each.
    • RAM: from 2 GB.

Initial server options

  • AWS Amazon: t3.small and above. (Binance, OKx)
  • Google Cloud: n2-highcpu-2 (Binance, OKx)
  • Vultr: 2048 MB High Frequency (Binance)

VPS (VDS) location region

  • Binance: Tokyo
  • OKx: HongKong

WARNING: The closer the VPS to the exchange servers, the better.